Subject: bug#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Nov 2020 20:50:08 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Tue, 3 Nov 2020 18:27:32 +0000
> Cc: [email-masked], dinkonin <[email-masked]>
> 
>  I think it would be wrong for Emacs to do that, as that would put all
>  the eggs in a single basket, something that is not safe in Free
>  Software world, where packages become unmaintained outside of our
>  control.
> 
> I don't understand this: Emacs, to this day, is happy to import large quantities of code from other project; let
> alone the option of forking/maintaining free software, which is one of its great benefits. And because
> Enchant has such a similar interface to the other supported spell-checkers, the cost of switching is low. For
> myself, I'd be more concerned with bugs or missing functionality in Enchant as a reason to be cautious (i.e.
> I would want to see a phased transition) than about the long-term prospects.

We are miscommunicating.  My point is that if Emacs will depend on
Enchant and won't be able to use the existing spellers without Enchant
being in-between, then we will be in a dire situation if Enchant stops
being developed and bit-rots.  By contrast, with the current code, we
can always tell users to use aspell/hunspell directly.